#################### dc_do_check.sh  ###############
#
# check suite for sfst fst files
# check a file using dc_osszefuz.pl dc_contin.pl, dc_checkvar1.pl, dc_version.pl
# usage: sh dc_do_check.sh dc_x.fst
#
# File given using -i=blabla
#
b=""
args=""
for i in $*; do
#echo $i
a=`echo $i | grep i= | cut -d'=' -f2`
if [ "$a" != "" ]; 
then
   b=$a
else
   args=$args" "$i
fi
done;
#
# File given using blabla (no i= or -i=)
#
if [ "$b" = "" ];
then
b=""
args=""
for i in $*; do
#echo $i
a=`echo $i | grep "-" `
if [ "$a" != "" ]; 
then
   args=$args" "$a
else
   b=$i
fi
done;
fi
#
# No filename found
#
if [ "$b" = "" ];
then
  echo "dc_do_check.sh file_to_check [-v] [-novarchk]"
  exit
fi;
#echo args:$args -b:$b
#
# Do check
#
#echo perl dc_check/dc_osszefuz.pl -i=$b -o=$b.check1 -p=`pwd` $args
perl dc_check/dc_osszefuz.pl -i=$b -o=$b.check1 -p=`pwd` $args
perl dc_check/dc_contin.pl  -i=$b.check1 -o=$b.check2 -p=`pwd` $args
perl dc_check/dc_checkvar1.pl -i=$b.check2 -p=`pwd` $args
rm -rf $b.check1  $b.check2

