%%%%%%%%%%%%%%%%%%%%%%% ninfl1.fst %%%%%%%%%%%%%%%%
%#include "symbols1.fst" 

$plu$ = <pl>:{<tpl><plvp><oeoez1>k}

$fam$ = <fam>:{<cfam>ék}

$abl$ =  <abl>:{<cabl>t<oooe>l}               % tól, től
$acc$ =  <acc>:{<cacc><plv><oeoez2>t}         % ot, et, öt
$ade$ =  <ade>:{<cade>n<AAA>l}                % nál, nél
$all$ =  <all>:{<call>h<oeoe>z}               % hoz, hez, höz
$cau$ =  <cau>:{<ccau>ért}                    % ért
$dat$ =  <dat>:{<cdat>n<AA>k}                 % nak, nek
$del$ =  <del>:{<cdel>r<oooe>l}               % ról, ről
$dis$ =  <dis>:{<cdis><plv3><oeoez3>nként}    % onként, enként, önként naponta
$ela$ =  <ela>:{<cela>b<oooe>l}               % ból, ből
$ess$ =  <ess>:{<cess><uue>l}                 % ul, ül
$fac$ =  <fac>:{<cfac><dup><VV><AAA>}         % vá, vé
$for$ =  <for>:{<cfor>ként}                   % ként  képp, képpen
$ill$ =  <ill>:{<cill>b<AA>}                  % ba, be
$ine$ =  <ine>:{<cine>b<AA>n}                 % ban, ben Pécsett
$ine1$ =  <ine1>:{<cine1><OOEE>tt}            % Győrött Pécsett Kolozsvárott
$ins$ =  <ins>:{<cins><dup><VV><AA>l}         % val, vel
$nom$ =  <nom>:{<cnom>}
$soc$ =  <soc>:{<csoc><plv1><EOA>st<uue>l}    % ostul, estül, östül
$sub$ =  <sub>:{<csub>r<AA>}                  % ra, re
$sup$ =  <sup>:{<csup><plv2><oeoez>n}         % on, en, ön
$tem$ =  <tem>:{<ctem>kor}                    % kor
$ter$ =  <ter>:{<cter>ig}                     % ig

$case$ = $nom$ | $dat$ | $acc$ | $ill$ | $ine$ | $ela$ | $all$ | $ade$ |\
         $abl$ | $sup$ | $del$ | $ter$ |  $for$ |\
         $cau$ | $fac$ |  $ins$ | $sub$

%$case$ = $nom$ | $acc$ | $sup$ | $fac$ | $ins$ 
%$case$ = $acc$
%$case$ = $nom$ |  $sup$ | $fac$ | $ins$ | $dis$  %1 red
%$case$ = $nom$ | $acc$ | $sup$ | $fac$ | $ins$ | $dis$  %1
%$case$ = $sup$ | $dis$
%$case$ = $acc$ | $sup$
%$case$ = $fac$ | $ins$ | $nom$
%$case$ = $dat$ | $ill$ | $ine$ |$ela$ | $all$ | $ade$   %2
%$case$ = $abl$ | $del$ | $ter$ |$ess$ | $for$ | $tem$   %3
%$case$ = $nom$ | $cau$ 


$posss1$ =  {<posss1>}:{<tpos1><plvs><OEOE1>m}            % om, em, öm
$posss2$ =  {<posss2>}:{<tpos2><plvs><OEOE1>d}            % od, ed, öd
$posss3$ =  {<posss3>}:{<tpos3><plvs><J><AE1>}            % ja, je
$possp1$ =  {<possp1>}:{<tpos4><plvs><UUE>nk}             % unk, ünk
$possp2$ =  {<possp2>}:{<tpos5><plvs><OEOE1>t<OEOE>k}     % otok, etek
$possp3$ =  {<possp3>}:{<tpos6><plvs><J><UUE1>k}          % juk, jük
$posss1p$ =  {<posss1p>}:{<tpos7><plvs><JP><AE>im}         % jaim
$posss2p$ =  {<posss2p>}:{<tpos8><plvs><JP><AE>id}         % jaid
$posss3p$ =  {<posss3p>}:{<tpos9><plvs><JP><AE>i}          % jai
$possp1p$ =  {<possp1p>}:{<tpos10><plvs><JP><AE>ink}       % jaink
$possp2p$ =  {<possp2p>}:{<tpos11><plvs><JP><AE>it<OEOE>k} % jaitok
$possp3p$ =  {<possp3p>}:{<tpos12><plvs><JP><AE>ik}        % jaik
            

$poss$ =  $posss1$ | $posss2$ | $posss3$ | $possp1$ | $possp2$ | $possp3$ |\
         $posss1p$ | $posss2p$ | $posss3p$ | $possp1p$ | $possp2p$ | $possp3p$

%$poss$ =  $possp1$  | $possp2$ | $possp3$

$gens$ =  {<gens>}:{<cgens>é} 
$genpl$ =  {<genpl>}:{<cgenpl>éi} 

$gen$ =  $gens$ | $genpl$ 
%$gen$ =  $gens$ 


% (ház-aknak ház-amnak ház-ak-é(i)nak ház-am-é(i)nak ház-ék-éi-nak ház-nak) 
%$CASEP$ = ($plu$?  | $poss$? ) $gen$? $case$
$CASEP$ = (($plu$?  | $poss$? | $fam$?) $gen$? $case$) | $soc$ | $dis$ | $tem$ | $ess$

