%%%%%%%%%%%%%%%%%%%%%%% phon1.fst mély dob  rác kard (hal, haj 1b-ben, kopó 1c-ben)  %%%%%%%%%%%%%%%%
#include "dc_symbols1.fst"
ALPHABET = [#cons#] [#vowel#] \
         <AA>:a  \  % nak, nek, ba, be, ban, ben, 
         <AAA>:á \ % vá, vé, nál, nél
         <plv>:<> \ % füvek
         <plv1>:<> \ % füvek
         <plv2>:<> \ % füvek
         <plv3>:<> \ % füvek
         <plvp>:<> \ % füvek
         <plvs>:<> \ % füvek
         <oooe>:ó  \ % tól, től. ból, ből, ról. ről
         <oeoe>:o  \ % hoz, hez, höz, 
         <oeoez1>:o <oeoez1>:<> \ % ok, ek, ök
         <oeoez>:o <oeoez>:<> \ % ot, et, öt, on, en, ön, onként, enként, önként
         <oeoez2>:o <oeoez2>:a <oeoez2>:<> \ % at, ot, et, öt, o
         <oeoez3>:[o<>]  \ % onként, enként, önként
         <uue>:u  \ % ul, ül
         <VV>:[v<>]  \ % val, vel, vá, vé
         <EOA>:o \ % estül, ostul., östül
         <OEOE>:o \ % etek, otok, ötök (2-nd vowel)
         <OEOE1>:o \ % om, od, otok, (1st vowel) jeitek (last vowel)
         <J>:j <J>:<> \
         <JP>:j <JP>:<> \
         <AE>:a \ % ja, je, a, e
         <AE1>:[aá] \ % ja, je, a, e
         <UUE>:u  \ % unk, ünk
         <UUE1>:u  \   % juk, jük
         <Noun1> [#marker#]

$ma10$ = (<Noun1>.*[<tpos3>].*) <AE1> <=> á (.*[#scase#].* | \
            .*[#gen#].*[#scase#<cnom><cfor>].*) %lovából, cfor 
$ma0$ = $ma10$

#plosiv# = bdghpt
#nonplosiv# = cjsvz
%#ing# = fmnry
$j1$ =  ([#nonplosiv#]+ <Noun1> .*) <J> <=>  <> 
$j2$ =  ([#plosiv##vowel#]+ <Noun1> .*) <J> <=>  j 
$rp3$ = $j1$ 
$j11$ = $j21 |  ([#nonplosiv#]+ <Noun1> .*) <JP> \<=>  <> 
%$j12$ =  ([#plosiv##vowel]+ <Noun1> .*) <JP> <=>  j 
$rp4$ = $j11$ 
$rp3$ = $rp4$ | ([#nonplosiv#]+ <Noun1> .*) <J> <=>  <> 
$rp5$ = ((<Noun1>.*[#vowel]:.[^#cons#]:.*[<dup>] .*) |\ 
([#vowel#] <Noun1>[^#vowel#]:.*[<dup>] .*) |\
          (<Noun1>.*<tpos3>.*[<dup>] .*))  <VV> <=>  v % tarévá, lévé
% must be the last,because checks for vowel and cons in between <Noun1> and [<te><cacc>]
% needs modification because after r for example there is no vowel necessary
$rp6$ =  ((<Noun1>[^#vowel#]* <tpl> .*)| \
           (<Noun1>.*[#cons#]+[^#vowel#]*<tpl> .*)) <oeoez1> <=>  o 
$Dsz12$ =  ((<Noun1>.*[<tpl>#tpos#].*[#cons#]+[^#vowel#]*[<cacc>] .*) |\ % <oeoez2> <=>  a 
 (<Noun1>.*<cfam>.*[#cons#]+<cacc> ><.*)) <oeoez2> <=>  a 
$Dsz22$ =  ((<Noun1[^#vowel#]* [<cacc>] .*)| \
           (<Noun1>[^<tpl>#tpos#<cfam#>].*[#cons#]+[^#vowel#]*<(>[<cacc>] .*)) <oeoez2> <=>  o 
$rp9$ = $Dsz12$ & $Dsz22$
$rp10$ =  ((Noun1>[^#vowel#]* [<cdis><cacc>] .*)| \
           (<Noun1>.*[#cons#]+[^#vowel#]*[<cdis><cacc>] .*)) <oeoez3> <=>  o 

$rp11$ =  ((<Noun1>[^#vowel#]* > [<csup><cacc>] .*)| \
           (<Noun1>.*[#cons#]+[^#vowel#]*[<csup><cacc>] .*)) <oeoez> <=>  o 

$rp8$ =  (([#mely#] [#cons#]* <Noun41b>[^#vowel#]* <tpl> .*)| \
           ([#mely#] [#cons#]* <Noun41b>.*[#cons#]+[^#vowel#]*<tpl> .*) | \
           ([#mely#] [#cons#]* <Noun41b<>.*[#mely#]+[#cons#]+<tpl(> .*)) <oeoez1}> \<=>  a 


$rp$ = ($rp3$ & $rp4$ & $rp5  &  $rp6$ & $rp9$ & $rp10$  & $rp11$  ) 

#=D# = #cons#
$T$ = {[#=D#]}:{[#=D#][#=D#]}
ALPHABET = [#cons#] [#vowel#] <Nounabc> [#marker#] 

% tar-> tarrá
$duplicate1$ = $T$ \ ^-> ( __ <dup> [^#letter#]* <dup> .*)
% tarok -> tarokká
$duplicate2$ = $T$ ^-> ( <Noun1> .*__ [^#letter#]* <dup> .*)

% a to á and e to é if word ends with a or e like: kapát cserét
%ALPHABET = [#cons#] [#vowel#] <Verb><Noun1><Noun1> [#marker#] 
$a-to-aa$ = {a}:{á} ^-> (__ [<Noun1>] [^k].*)
$e-to-ee$ = {e}:{é} ^-> (__ [<tpl>] [^k].*)
$a_to_aaa$ = {a}:{á} ^-> ([<Nounabc>][^#letter#]*j__[é#gen].*) %lováé dobjáé

% delete pos tags
ALPHABET = [#cons#] [#vowel#] [<Verb><Noun1><Adj>#marker#]:<>
$delete-POS$ =  .*

#include "dc_ninfl1.fst"

$ma$ = $ma0$ & $rp$

$morph1$ =  $duplicate1$ || $duplicate2$ || $a-to-aa$ || $e-to-ee$ || $a_to_aaa$ ||  $delete-POS$


$phon1$ = "dc_noun-reg1.lex" <Noun1> $CASEP$ 
$phon1$ >> "phon01.a"
$phon1$ = $phon1$ || $ma$ || $morph1$

$phon1$